# Uses of Interface
net.shibboleth.idp.session.SessionResolver

Packages that use SessionResolver
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of SessionResolver in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl declared as SessionResolver
Modifier and Type
Field
Description
`private final SessionResolver`
GrantProxyTicketAction.`sessionResolver`
Looks up IdP sessions.
`private final SessionResolver`
UpdateIdPSessionWithSPSessionAction.`sessionResolver`
Looks up IdP sessions.
Constructors in net.shibboleth.idp.cas.flow.impl with parameters of type SessionResolver
Modifier
Constructor
Description
``
`GrantProxyTicketAction(TicketService ticketService, SessionResolver resolver)`
Constructor.
``
`UpdateIdPSessionWithSPSessionAction(SessionResolver resolver, Duration lifetime)`
Constructor.

## Uses of SessionResolver in net.shibboleth.idp.saml.saml2.profile.impl

Fields in net.shibboleth.idp.saml.saml2.profile.impl declared as SessionResolver
Modifier and Type
Field
Description
`private SessionResolver`
ProcessLogoutRequest.`sessionResolver`
Session resolver.
Methods in net.shibboleth.idp.saml.saml2.profile.impl with parameters of type SessionResolver
Modifier and Type
Method
Description
`void`
ProcessLogoutRequest.`setSessionResolver(SessionResolver resolver)`
Set the `SessionResolver` to use.

## Uses of SessionResolver in net.shibboleth.idp.session.impl

Classes in net.shibboleth.idp.session.impl that implement SessionResolver
Modifier and Type
Class
Description
`class`
`StorageBackedSessionManager`
Implementation of `SessionManager` and `SessionResolver` interfaces that relies on a `StorageService` for persistence and lifecycle management of data.
Fields in net.shibboleth.idp.session.impl declared as SessionResolver
Modifier and Type
Field
Description
`private SessionResolver`
PopulateSessionContext.`sessionResolver`
Session resolver.
`private SessionResolver`
ProcessLogout.`sessionResolver`
Session resolver.
Methods in net.shibboleth.idp.session.impl with parameters of type SessionResolver
Modifier and Type
Method
Description
`void`
PopulateSessionContext.`setSessionResolver(SessionResolver resolver)`
Set the `SessionResolver` to use.
`void`
ProcessLogout.`setSessionResolver(SessionResolver resolver)`
Set the `SessionResolver` to use.